(ns wanijo.repl
  (:require [clojurewerkz.neocons.rest.nodes :as nodes]
            [clojurewerkz.neocons.rest.labels :as labels]
            [clojurewerkz.neocons.rest.cypher :as cypher]
            [buddy.hashers :as hashers]
            [wanijo.neo4j :as neo4j]))

(defn create-user! [ident pw]
  (cypher/tquery
   neo4j/conn
   "CREATE (n:user)
       SET n.ident = {ident}
       SET n.pw = {pw}"
   {:ident ident
    :pw (hashers/derivce pw)}))
